> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dados.rio/llms.txt
> Use this file to discover all available pages before exploring further.

# Public service categories

> Lists non-empty categories from active, currently eligible services.



## OpenAPI

````yaml https://raw.githubusercontent.com/prefeitura-rio/app-catalogo/refs/heads/main/docs/openapi-v3.json get /api/public/service-categories
openapi: 3.0.0
info:
  contact:
    name: Prefeitura do Rio de Janeiro
    url: https://github.com/prefeitura-rio/app-catalogo
  description: >-
    Discovery layer unificada da Prefeitura do Rio de Janeiro. Indexa serviços
    públicos, cursos, vagas e oportunidades MEI com busca full-text e
    recomendação personalizada por perfil de cidadão.
  title: app-catalogo
  version: '1.0'
servers:
  - url: https://services.staging.app.dados.rio/catalogo
    description: Staging
  - url: https://services.pref.rio/catalogo
    description: Produção
security: []
paths:
  /api/public/service-categories:
    get:
      tags:
        - catálogo
      summary: Public service categories
      description: Lists non-empty categories from active, currently eligible services.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.PublicServiceCategoryResponse'
          description: OK
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
components:
  schemas:
    models.PublicServiceCategoryResponse:
      properties:
        catalog_revision:
          type: string
        categories:
          items:
            $ref: '#/components/schemas/models.PublicServiceCategory'
          type: array
      required:
        - catalog_revision
        - categories
      type: object
    models.PublicServiceCategory:
      properties:
        count:
          type: integer
        name:
          type: string
      required:
        - count
        - name
      type: object
  headers:
    X-Request-ID:
      description: Canonical UUID used to correlate the response with application logs.
      schema:
        format: uuid
        type: string

````